Package com.collabnet.ce.soap60.webservices.rbac

# Class RoleCluster2SoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.rbac.RoleCluster2SoapRow

public class RoleCluster2SoapRow extends Object
A list of Role Cluster for default access permission.

Since:
  8.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ANY_USERS`
  `static final int`
  `AUTHENTICATED_USERS`
  `static final int`
  `PROJECT_MEMBERS`
  `static final int`
  `PROJECT_MEMBERS_AND_NON_RESTRICTED_USERS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleCluster2SoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFolderId()`
  Returns 'folderId'.
  `String`
  `getOperationClusterName()`
  Returns 'operationClusterName'.
  `String`
  `getRoleId()`
  Returns 'roleId'.
  `int`
  `getUserClass()`
  Returns 'userClass'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setFolderId(String folderId)`
  Sets 'folderId'.
  `void`
  `setOperationClusterName(String operationClusterName)`
  Sets 'operationClusterName'.
  `void`
  `setRoleId(String roleId)`
  Sets 'roleId'.
  `void`
  `setUserClass(int userClass)`
  Sets 'userClass'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANY_USERS

    public static final int ANY_USERS
    See Also:
      - Constant Field Values

  - ### AUTHENTICATED_USERS

    public static final int AUTHENTICATED_USERS
    See Also:
      - Constant Field Values

  - ### PROJECT_MEMBERS_AND_NON_RESTRICTED_USERS

    public static final int PROJECT_MEMBERS_AND_NON_RESTRICTED_USERS
    See Also:
      - Constant Field Values

  - ### PROJECT_MEMBERS

    public static final int PROJECT_MEMBERS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RoleCluster2SoapRow

    public RoleCluster2SoapRow()

- ## Method Details

  - ### getOperationClusterName

    public String getOperationClusterName()
    Returns 'operationClusterName'. The name of the operation cluster
    Returns:
      Value of 'operationClusterName'.

  - ### setOperationClusterName

    public void setOperationClusterName(String operationClusterName)
    Sets 'operationClusterName'. The name of the operation cluster
    Parameters:
      `operationClusterName` - Value of 'operationClusterName'.

  - ### getFolderId

    public String getFolderId()
    Returns 'folderId'. The id of the folder that the cluster is applied to.
    Returns:
      Value of 'folderId'.

  - ### setFolderId

    public void setFolderId(String folderId)
    Sets 'folderId'. The id of the folder that the cluster is applied to.
    Parameters:
      `folderId` - Value of 'folderId'.

  - ### getRoleId

    public String getRoleId()
    Returns 'roleId'. Role id.
    Returns:
      Value of 'roleId'.

  - ### setRoleId

    public void setRoleId(String roleId)
    Sets 'roleId'. Role id.
    Parameters:
      `roleId` - Value of 'roleId'.

  - ### getUserClass

    public int getUserClass()
    Returns 'userClass'. User Class. User Class will have any of the following constant values: 1 - ANY_USERS 2 - AUTHENTICATED_USERS 3 - PROJECT_MEMBERS_AND_NON_RESTRICTED_USERS 4 - PROJECT_MEMBERS
    Returns:
      Value of 'userClass'.

  - ### setUserClass

    public void setUserClass(int userClass)
    Sets 'userClass'. User Class. User Class will have any of the following constant values: 1 - ANY_USERS 2 - AUTHENTICATED_USERS 3 - PROJECT_MEMBERS_AND_NON_RESTRICTED_USERS 4 - PROJECT_MEMBERS
    Parameters:
      `userClass` - Value of 'userClass'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)